<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Liste des Utilisateurs</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>
<section id="data-thumb-view" class="data-thumb-view-header">
  <div class="row">
      <div class="col-12">
          <div class="card">
              <div class="card-header">
                  <h4 class="card-title"></h4>
              </div>
              <div class="card-content">

                  <div class="card-body card-dashboard">

                      <div class="table-responsive">
                        <a  [routerLink]="['/creation_utilisateur']" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau Utilisateur</a>

                          <table class="table zero-configuration table-striped">
                            <thead>
                              <tr>
                                <th>Nom</th>
                                <th>PRENOM</th>
                                <th>USERNAME</th>
                                <th>COURRIEL</th>
                                <th>TEL</th>
                                <th>ROLE</th>
                                <th>ACTION</th>
                              </tr>
                            </thead>
                            <tbody>
                            
                              <tr *ngFor="let u of utilisateurs; index as i">
                                <td class="product-category">{{u.nom}}</td>
                               
                                <td class="product-category">{{u.prenom}}</td>
                                <td class="product-category">{{u.username}}</td>
                                <td class="product-category">{{u.email}}</td>
                                <td class="product-category">{{"Tel 1:"+ u.tel+" / "+"Tel 2:"+u.autreTel}}</td>
                                <td class="product-category">{{u.role}}</td>
                                <td class="product-action">
                                  
                      
                                  <div class="dropdown">
                                   <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                   <div class="dropdown-menu dropdown-menu-right">
                                    <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                       
                                     <a class="dropdown-item" href="#" data-toggle="modal" (click)="deletePopup(u.id,u.nom)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                   </div>
                                 </div>
                                 
                                 </td>

                                 <div class="modal modal-danger fade" id="modifier{{i}}">
                                  <div class="modal-dialog " role="document">
                                    <div class="modal-content" style="width:700px">
                                      <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel4">Modifier Utilisateur </h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                             
                                            <div class="card-body">
                                                
                                                
                                                    <form novalidate #f="ngForm" (ngSubmit)="update(f.value)">
                                                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                                                        <i class="feather icon-info mr-1 align-middle"></i>
                                                        <span>{{InvalidFrom}}</span>
                                                      </div>
                                                      <div class="row">
                                                        <div class="col-12 col-sm-6">
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <input type="hidden" name="id" #id="ngModel" [(ngModel)]="u.id">
                                                              <label>Nom</label>
                                                              <input type="text" class="form-control" placeholder="Nom" name="nom" #nom="ngModel" [(ngModel)]="u.nom"  required
                                                                data-validation-required-message="This username field is required">
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Nom  Obligatoire</span>
                                                                </div>
                                                              </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Cin</label>
                                                              <input type="text" class="form-control" placeholder="Cin" name="cin" #cin="ngModel" [(ngModel)]="u.cin"  required
                                                                data-validation-required-message="This username field is required" >
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="cin.touched && cin.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Cin Obligatoire</span>
                                                                </div>
                                                              </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Tel</label>
                                                              <input type="text" class="form-control" placeholder="Tel" name="tel" #tel="ngModel" [(ngModel)]="u.tel"  required
                                                                data-validation-required-message="This username field is required" >
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Téléphone Obligatoire</span>
                                                                </div>
                                                              </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Date de naissance</label>
                                                              <input type="date" class="form-control" placeholder="Date de naissance" name="date_naissance" #date_naissance="ngModel" [(ngModel)]="u.date_naissance"  required
                                                                data-validation-required-message="This username field is required" >
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="date_naissance.touched && date_naissance.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Date de Naissance Obligatoire</span>
                                                                </div>
                                                              </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Code postal</label>
                                                              <input type="text" class="form-control" placeholder="Code postal" name="codePostal" #codePostal="ngModel" [(ngModel)]="u.codePostal"  required
                                                                data-validation-required-message="This username field is required">
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="codePostal.touched && codePostal.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Code postal Obligatoire</span>
                                                                </div>
                                                              </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Username</label>
                                                              <input type="text" class="form-control" placeholder="username" name="username" #username="ngModel" [(ngModel)]="u.username" required>
                                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="username.touched && username.invalid">
                                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                                <span>UsernameObligatoire</span>
                                                              </div>
                                                            </div>
                                                          </div>
                                        
                                                        </div>
                                                        <div class="col-12 col-sm-6">
                                        
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Prenom</label>
                                                              <input type="text" class="form-control" placeholder="Prenom"  name="prenom" #prenom="ngModel" [(ngModel)]="u.prenom"  required
                                                                data-validation-required-message="This name field is required" >
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="prenom.touched && prenom.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Prenom Obligatoire</span>
                                                                </div>
                                                              </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Email</label>
                                                              <input type="email" class="form-control" placeholder="email"  name="email" #email="ngModel" [(ngModel)]="u.email" disabled>
                                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                                <span>Email Obligatoire et doit étre de type email</span>
                                                              </div>
                                                            </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <div class="controls">
                                                              <label>Autre Tel</label>
                                                              <input type="text" class="form-control" placeholder="Autre Tel"  name="autreTel" #autreTel="ngModel" [(ngModel)]="u.autreTel"  required
                                                                data-validation-required-message="This username field is required" >
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="autreTel.touched && autreTel.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Téléphone Obligatoire</span>
                                                                </div>
                                                              </div>
                                                          </div>
                                                          <div class="form-group">
                                                            <label>Ville</label>
                                                            <select class="form-control" name="ville" #ville="ngModel" [(ngModel)]="u.ville"  required>
                                                              <option>Choisir Ville </option>
                                                              <option>ville1</option>
                                                              <option>ville2</option>
                                                            </select>
                                                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="ville.touched && ville.invalid">
                                                              <i class="feather icon-info mr-1 align-middle"></i>
                                                              <span>Ville Obligatoire</span>
                                                            </div>
                                                          </div>
                                        
                                                          <div class="form-group">
                                                            <label>Role</label>
                                                            <select class="form-control" name="role" #role="ngModel" [(ngModel)]="u.role"  required>
                                                              <option>Choisir Role </option>
                                                              <option>Sinistre</option>
                                                              <option>Devis</option>
                                                              <option>Contrat</option>
                                        
                                                            </select>
                                                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="role.touched && role.invalid">
                                                              <i class="feather icon-info mr-1 align-middle"></i>
                                                              <span>Role Obligatoire</span>
                                                            </div>
                                                          </div>
                                        
                                                         <div class="form-group">
                                                            <label>Mot de passe:</label>
                                                            <input type="password" class="form-control" name="password" #password="ngModel" [(ngModel)]="u.password"  required
                                                              placeholder="Mot de passe">
                                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="password.touched && password.invalid">
                                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                                <span>mot de passe Obligatoire</span>
                                                              </div>
                                                          </div>
                                                         
                                                         
                                                        </div>
                                                        

                                                      </div>
                                                      <hr>
                                                      <button type="submit" class="btn btn-primary glow mb-1 mb-sm-0 mr-0 mr-sm-1" style=" margin-left: 490px;"[disabled]="f.invalid">Modifier Utilisateur</button>

                                                    </form>
                                                    <!-- users edit account form ends -->
                                                  
                                                  
                                              </div>
                                          
                                            
                                              
                                
                                
                                
                                      </div>
                                     
                                    
                                    </div>
                                    <!-- /.modal-content -->
                                  </div>
                                  <!-- /.modal-dialog -->
                                </div>

                                <div class="modal modal-danger fade" id="supprimer{{i}}">
                                  <div class="modal-dialog " role="document">
                                    <div class="modal-content">
                                      <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel4">Suppression Utilisateur</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                        <p>
                                        Voulez vous supprimer  {{u.nom +" "+u.prenom}}
                                        </p>
                                      </div>
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal" (click)="delete(u.id)">Supprimer</button>
                                      </div>
                                    
                                    </div>
                                    <!-- /.modal-content -->
                                  </div>
                                  <!-- /.modal-dialog -->
                                </div>

                              </tr>   
                                   </tbody>
                              
                          </table>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- dataTable ends -->

  
  <!-- add new sidebar ends -->
</section>

